edu.sc.seis.sod.status

## Class ChannelGroupTemplate

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.ChannelGroupTemplate

- All Implemented Interfaces:
    GenericTemplate

      public class ChannelGroupTemplate
      extends Template
      implements GenericTemplate

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelGroupTemplate(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `change(edu.iris.Fissures.IfNetwork.Channel chan, Status status)`
    `java.lang.String` | `getResult()`
    `java.lang.String` | `getStatus(edu.iris.Fissures.IfNetwork.Channel chan)`
    `java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element element)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `protected java.lang.Object` | `textTemplate(java.lang.String text)` returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelGroupTemplate

          public ChannelGroupTemplate(org.w3c.dom.Element el)
                               throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getResult

          public java.lang.String getResult()

      Specified by:
        `getResult` in interface `GenericTemplate`

    - #### textTemplate

          protected java.lang.Object textTemplate(java.lang.String text)

      Description copied from class: `Template`
      returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
      Specified by:
        `textTemplate` in class `Template`

    - #### change

          public void change(edu.iris.Fissures.IfNetwork.Channel chan,
                             Status status)

    - #### getStatus

          public java.lang.String getStatus(edu.iris.Fissures.IfNetwork.Channel chan)

    - #### getTemplate

          public java.lang.Object getTemplate(java.lang.String tag,
                                              org.w3c.dom.Element element)
                                       throws ConfigurationException

      Description copied from class: `Template`
      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it should return the superclass implementation of the getCommonTemplate method. Though no harm will come from merely returning null, they won't benefit from the wisdom and extra tags provided by their elder classes.
      Overrides:
        `getTemplate` in class `Template`
      Throws:
        `ConfigurationException`